clear
% P1 = SN006
load('P1OLWLF.MAT');
load('P1OLWHF.MAT');

freqFIL_LF = p1olwlf(:,1);
cmpFIL_LF = p1olwlf(:,2);

freqFIL_HF = p1olwhf(:,1);
cmpFIL_HF = p1olwhf(:,2);

[absFIL_LF, phsFIL_LF] = cmp2absphs(cmpFIL_LF);
[absFIL_HF, phsFIL_HF] = cmp2absphs(cmpFIL_HF);

figure(1);
clf;
orient landscape;
subplot(3,1,[1 2])
loglog(freqFIL_HF,absFIL_HF,'.','Color',[0 0 0.5]);
hold on;
loglog(freqFIL_LF,absFIL_LF,'.','Color',[0 0 1]);
grid on;
ylabel('\bfMagnitude');
set(gca,'FontSize',14);
title('\bfeLIGO DCPD1 (Preamp 006) response');
subplot(3,1,3)
semilogx(freqFIL_HF,phsFIL_HF,'.','Color',[0 0 0.5]);
hold on;
semilogx(freqFIL_LF,phsFIL_LF,'.','Color',[0 0 1]);
grid on;
ylabel('\bfPhase [deg]');
xlabel('\bfFrequency [Hz]');
set(gca,'FontSize',14);
set(gca,'YTick',[-180:60:180]);


%%

freq006 = [freqFIL_LF; freqFIL_HF(3:end)];
abs006  = [absFIL_LF;  absFIL_HF(3:end)];
phs006  = [phsFIL_LF;  phsFIL_HF(3:end)];

dat006 = [freq006 abs006 phs006];

%%
% P2 = SN008
load('P2OLWLF.MAT');
load('P2OLWHF.MAT');

freqFIL_LF = p2olwlf(:,1);
cmpFIL_LF = p2olwlf(:,2);

freqFIL_HF = p2olwhf(:,1);
cmpFIL_HF = p2olwhf(:,2);

[absFIL_LF, phsFIL_LF] = cmp2absphs(cmpFIL_LF);
[absFIL_HF, phsFIL_HF] = cmp2absphs(cmpFIL_HF);

figure(1);
subplot(3,1,[1 2])
loglog(freqFIL_HF,absFIL_HF,'.','Color',[0.5 0 0]);
hold on;
loglog(freqFIL_LF,absFIL_LF,'.','Color',[1 0 0]);
grid on;
ylabel('\bfMagnitude');
set(gca,'FontSize',14);
title('\bfeLIGO DCPD1 (Preamp 006) response');
subplot(3,1,3)
semilogx(freqFIL_HF,phsFIL_HF,'.','Color',[0.5 0 0]);
hold on;
semilogx(freqFIL_LF,phsFIL_LF,'.','Color',[1 0 0]);
grid on;
ylabel('\bfPhase [deg]');
xlabel('\bfFrequency [Hz]');
set(gca,'FontSize',14);
set(gca,'YTick',[-180:60:180]);

%%

freq008 = [freqFIL_LF; freqFIL_HF(3:end)];
abs008  = [absFIL_LF;  absFIL_HF(3:end)];
phs008  = [phsFIL_LF;  phsFIL_HF(3:end)];

dat008 = [freq008 abs008 phs008];

%%

save('Preamp006dmass.bod', 'dat006', '-ascii');
save('Preamp008dmass.bod', 'dat008', '-ascii');
